> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate API key

> Validates the API key and returns organization information. Used by MCP clients to verify credentials.



## OpenAPI

````yaml /pluto/api-reference/openapi.json get /api/runs/auth/validate
openapi: 3.0.0
info:
  title: mlop API
  version: 1.0.0
  description: API for mlop - ML experiment tracking platform
servers:
  - url: https://pluto-api.trainy.ai
    description: API Server
security:
  - bearerAuth: []
paths:
  /api/runs/auth/validate:
    get:
      tags:
        - Auth
      summary: Validate API key
      description: >-
        Validates the API key and returns organization information. Used by MCP
        clients to verify credentials.
      responses:
        '200':
          description: API key is valid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateApiKeyResponse'
        '401':
          description: Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    ValidateApiKeyResponse:
      type: object
      properties:
        valid:
          type: boolean
        organization:
          type: object
          properties:
            id:
              type: string
            slug:
              type: string
          required:
            - id
            - slug
        user:
          type: object
          properties:
            id:
              type: string
          required:
            - id
      required:
        - valid
        - organization
        - user
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key obtained from the mlop dashboard

````